/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.util.task.valueobject;

/**
 * 処理クラス [BlancoXliffUtilChangeProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoXliffUtilChangeProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [xliffdir]
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFF (*.xlf) ディレクトリ
     */
    private String fXliffdir;

    /**
     * フィールド [settargetifnotexist]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * target が無い場合に target をセットするかどうか。
     */
    private boolean fSettargetifnotexist = false;

    /**
     * フィールド [sortalttrans]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * alt-trans をソートするかどうか。参照実装では match-quality によるソート。
     */
    private boolean fSortalttrans = false;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [xliffdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFF (*.xlf) ディレクトリ
     *
     * @param argXliffdir フィールド[xliffdir]に格納したい値
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド[xliffdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFF (*.xlf) ディレクトリ
     *
     * @return フィールド[xliffdir]に格納されている値
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [settargetifnotexist]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * target が無い場合に target をセットするかどうか。
     *
     * @param argSettargetifnotexist フィールド[settargetifnotexist]に格納したい値
     */
    public void setSettargetifnotexist(final boolean argSettargetifnotexist) {
        fSettargetifnotexist = argSettargetifnotexist;
    }

    /**
     * フィールド[settargetifnotexist]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * target が無い場合に target をセットするかどうか。
     *
     * @return フィールド[settargetifnotexist]に格納されている値
     */
    public boolean getSettargetifnotexist() {
        return fSettargetifnotexist;
    }

    /**
     * フィールド [sortalttrans]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * alt-trans をソートするかどうか。参照実装では match-quality によるソート。
     *
     * @param argSortalttrans フィールド[sortalttrans]に格納したい値
     */
    public void setSortalttrans(final boolean argSortalttrans) {
        fSortalttrans = argSortalttrans;
    }

    /**
     * フィールド[sortalttrans]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * alt-trans をソートするかどうか。参照実装では match-quality によるソート。
     *
     * @return フィールド[sortalttrans]に格納されている値
     */
    public boolean getSortalttrans() {
        return fSortalttrans;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.util.task.valueobject.BlancoXliffUtilChangeProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",settargetifnotexist=" + fSettargetifnotexist);
        buf.append(",sortalttrans=" + fSortalttrans);
        buf.append("]");
        return buf.toString();
    }
}
